HttpRecoverableException (HttpClient Library (Version 3.1))
Date: 2018-05-07

org.apache.commons.httpclient

## Class HttpRecoverableException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.commons.httpclient.HttpException
        - - org.apache.commons.httpclient.HttpRecoverableException

- All Implemented Interfaces:
    java.io.Serializable

  Deprecated.
  no longer used

      public class HttpRecoverableException
      extends HttpException

  Signals that an HTTP or HttpClient exception has occurred. This exception may have been caused by a transient error and the request may be retried. It may be possible to retrieve the underlying transient error via the inherited `HttpException.getCause()` method.

  Version:
    $Revision: 480424 $ $Date: 2006-11-29 06:56:49 +0100 (Wed, 29 Nov 2006) $
  Author:
    Unascribed
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpRecoverableException()` Deprecated. Creates a new HttpRecoverableException with a `null` detail message.
    `HttpRecoverableException(java.lang.String message)` Deprecated. Creates a new HttpRecoverableException with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class org.apache.commons.httpclient.HttpException

      `getCause, getReason, getReasonCode, printStackTrace, printStackTrace, printStackTrace, setReason, setReasonCode`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpRecoverableException

          public HttpRecoverableException()

      Deprecated.
      Creates a new HttpRecoverableException with a `null` detail message.

    - #### HttpRecoverableException

          public HttpRecoverableException(java.lang.String message)

      Deprecated.
      Creates a new HttpRecoverableException with the specified detail message.
      Parameters:
        `message` - exception message

Copyright (c) 1999-2005 - Apache Software Foundation